GET api/particlecounterapi/particlecountersBySiteId/{id}?active={active}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

active

boolean

None.

Body Parameters

None.

Response Information

Resource Description

Collection of ParticleCounterViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

anatype_id

globally unique identifier

Required

cleanroom_id

globally unique identifier

None.

description

string

None.

id

globally unique identifier

None.

ip_address

string

Required

particle_counter_type_id

globally unique identifier

Required

site_id

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
[
  {
    "active": true,
    "anatype_id": "924e7910-06a5-4fbc-b0cf-dc2a983cfe02",
    "cleanroom_id": "e5192792-655b-4f8e-8416-43149afb3199",
    "description": "sample string 3",
    "id": "b39fc68d-4ad6-4aec-9020-aa2fe908a822",
    "ip_address": "sample string 5",
    "particle_counter_type_id": "2bb81059-35ee-4cb1-9073-f98fb64b8855",
    "site_id": "432c1421-ddbe-466d-9ebb-fba9a56b064e"
  },
  {
    "active": true,
    "anatype_id": "924e7910-06a5-4fbc-b0cf-dc2a983cfe02",
    "cleanroom_id": "e5192792-655b-4f8e-8416-43149afb3199",
    "description": "sample string 3",
    "id": "b39fc68d-4ad6-4aec-9020-aa2fe908a822",
    "ip_address": "sample string 5",
    "particle_counter_type_id": "2bb81059-35ee-4cb1-9073-f98fb64b8855",
    "site_id": "432c1421-ddbe-466d-9ebb-fba9a56b064e"
  }
]

application/xml, text/xml

Sample:
<ArrayOfparticle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <particle_counter>
    <active>true</active>
    <anatype_id>924e7910-06a5-4fbc-b0cf-dc2a983cfe02</anatype_id>
    <cleanroom_id>e5192792-655b-4f8e-8416-43149afb3199</cleanroom_id>
    <description>sample string 3</description>
    <id>b39fc68d-4ad6-4aec-9020-aa2fe908a822</id>
    <ip_address>sample string 5</ip_address>
    <particle_counter_type_id>2bb81059-35ee-4cb1-9073-f98fb64b8855</particle_counter_type_id>
    <site_id>432c1421-ddbe-466d-9ebb-fba9a56b064e</site_id>
  </particle_counter>
  <particle_counter>
    <active>true</active>
    <anatype_id>924e7910-06a5-4fbc-b0cf-dc2a983cfe02</anatype_id>
    <cleanroom_id>e5192792-655b-4f8e-8416-43149afb3199</cleanroom_id>
    <description>sample string 3</description>
    <id>b39fc68d-4ad6-4aec-9020-aa2fe908a822</id>
    <ip_address>sample string 5</ip_address>
    <particle_counter_type_id>2bb81059-35ee-4cb1-9073-f98fb64b8855</particle_counter_type_id>
    <site_id>432c1421-ddbe-466d-9ebb-fba9a56b064e</site_id>
  </particle_counter>
</ArrayOfparticle_counter>